PLD Linux Forum Strona Główna PLD Linux Forum
Oficjalne forum dystrybucji PLD Linux

FAQFAQ  SzukajSzukaj  UżytkownicyUżytkownicy  GrupyGrupy
RejestracjaRejestracja  ZalogujZaloguj

Poprzedni temat «» Następny temat
AC phpPgAdmin php 5.2.17-13
Autor Wiadomość
lm 

Distro: PLD 3.0
Dołączył: 12 Kwi 2012
Posty: 1
Skąd: Kraków
Wysłany: 12 Kwiecień 2012, 15:12   AC phpPgAdmin php 5.2.17-13

PLD AC i686

Aktualizacja php do wersji 5.2.17-13 spowodowała nieprawidłowe działanie phpPgAdmin.
Przy próbie zmiany rekordu otrzymuję błąd:
Warning: Invalid argument supplied for foreach() in /usr/share/phpPgAdmin/classes/database/Postgres.php on line 2602

Po przeprowadzeniu drobnego śledztwa odkryłem, że w pliku /usr/share/phpPgAdmin/display.php (linia 225 ) unserialize($_POST['key']) zwraca false zamiast tablicy (oczywiści samo $_POST['key'] zawiera dane)

Testowane na phpPgAdmin 4.2-1 z repozytorium oraz na zbudowanym ze SPECa 5.0.3-1

Błąd w php czy może phpPgAdmin ?
 
 
shadzik 


Pomógł: 128 razy
Dołączył: 08 Lip 2005
Posty: 1773
Skąd: Berlin
Wysłany: 17 Kwiecień 2012, 09:59   

"Trzeba było nie updatować™"

A mówiąc całkiem serio. AC przeżyło już swój EOL oficjalny.
_________________
checking for beer in -lfridge... no
Warning: No beer found in fridge!
We highly suggest that you rectify this situation immediately.
 
 
Wyświetl posty z ostatnich:   
Odpowiedz do tematu
Nie możesz pisać nowych tematów
Nie możesz odpowiadać w tematach
Nie możesz zmieniać swoich postów
Nie możesz usuwać swoich postów
Nie możesz głosować w ankietach
Dodaj temat do Ulubionych
Wersja do druku

Skocz do:  

Powered by phpBB modified by Przemo © 2003 phpBB Group